Webhooks
Update Webhook
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
1 <= lengthactive?boolean
method?"POST" | "PUT" | "PATCH"
Value in
"POST" | "PUT" | "PATCH"target_url?string
Format
uriheaders?|array<>
event?"contact_details.updated" | "contact.created" | "contact.deleted" | "contact.updated" | "conversation.assign" | "conversation.close" | "conversation.inbound" | "conversation.outbound" | "conversation.reopen" | "conversation.sending_error" | "conversation.submission_error" | "conversation.tag" | "conversation.unassign" | "conversation.untag" | "form_submission.aborted" | "form_submission.completed"
Value in
"contact_details.updated" | "contact.created" | "contact.deleted" | "contact.updated" | "conversation.assign" | "conversation.close" | "conversation.inbound" | "conversation.outbound" | "conversation.reopen" | "conversation.sending_error" | "conversation.submission_error" | "conversation.tag" | "conversation.unassign" | "conversation.untag" | "form_submission.aborted" | "form_submission.completed"fields?array<string>|null
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "name": "string", "active": true, "method": "GET", "target_url": "string", "headers": { "property1": null, "property2": null }, "event": "contact_details.updated", "fields": [ "string" ], "source": "authenticated"}